<?php
// Datenbankverbindung herstellen
include_once 'config/config.php';

// Standard-E-Mail-Adresse aus der Konfigurationsdatei
$email = $email; // Verwenden Sie hier den Variablennamen aus Ihrer config.php

$response = array(); // Array für die AJAX-Antwort

if ($_SERVER["REQUEST_METHOD"] == "POST") {
    // Formulardaten abrufen
    $item_name = $_POST["item_name"];
    $manufacturer = $_POST["manufacturer"];
    $location = $_POST["location"];
    $amount_should = $_POST["amount_should"];
    $amount_is = $_POST["amount_is"];
    $expiration_date = $_POST["expiration_date"];
    $barcode = $_POST["barcode"];

    // Bildverarbeitung, falls ein Bild hochgeladen wurde
    $image = null;
    if ($_FILES["image"]["name"]) {
        $target_dir = "img/";
        $target_file = $target_dir . basename($_FILES["image"]["name"]);
        if (move_uploaded_file($_FILES["image"]["tmp_name"], $target_file)) {
            $image = $target_file;
        } else {
            $response['success'] = false;
            $response['message'] = 'Fehler beim Hochladen des Bildes.';
            echo json_encode($response); // Fehlermeldung als JSON zurückgeben und das Skript beenden
            exit();
        }
    }

    // Daten in die Datenbank einfügen
    $conn = new mysqli($host, $username, $password, $database);
    if ($conn->connect_error) {
        $response['success'] = false;
        $response['message'] = 'Verbindung zur Datenbank fehlgeschlagen: ' . $conn->connect_error;
        echo json_encode($response); // Fehlermeldung als JSON zurückgeben und das Skript beenden
        exit();
    }

    $sql = "INSERT INTO materials (item_name, manufacturer, location, amount_should, amount_is, expiration_date, barcode, image, email) 
            VALUES ('$item_name', '$manufacturer', '$location', $amount_should, $amount_is, '$expiration_date', '$barcode', '$image', '$email')";

    if ($conn->query($sql) === TRUE) {
        $response['success'] = true;
        $response['message'] = 'Neuer Artikel wurde erfolgreich hinzugefügt.';
    } else {
        $response['success'] = false;
        $response['message'] = 'Fehler beim Hinzufügen des Artikels: ' . $conn->error;
    }

    $conn->close();
    
    // JSON-Antwort zurückgeben
    echo json_encode($response);
}
?>
