<!DOCTYPE html>
<html lang="de">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" type="text/css" href="css/style.css">
	<link rel="icon" href="img/favicon.png" type="image/x-icon">
    <title>Materialverwaltung</title>
</head>
<body>
    <header class="header">
        <div class="header-container">
            <h1>Materialverwaltung</h1>
            <nav>
                <ul>
                    <li><a href="index.php">Home</a></li>
                    <li><a href="add_material_form.php">Artikel hinzufügen</a></li>
                    <li><a href="article_overview.php">Artikel Übersicht</a></li>
                </ul>
            </nav>
        </div>
    </header>

    <div class="welcome-container">
        <img src="img/Willkommen.png" alt="Welcome Image">
        <h2>Willkommen zur Materialverwaltung!</h2>
        <p>Dies ist eine einfache Anwendung zur Verwaltung von Materialien mit Ablaufdatum.</p>
        <p>Verwenden Sie das Menü oben, um Artikel hinzuzufügen oder die Übersicht der Artikel anzuzeigen.</p>
    </div>

    <?php
    // Skript zum Überprüfen des Ablaufdatums einbinden und ausführen
    include_once 'check_expiration.php';
    ?>
</body>
</html>
